// -*- C++ -*-
//
// This file is part of krot,
// a program for the simulation, assignment and fit of HRLIF spectra.
//
// Copyright (C) 1998 Jochen K"upper
//
// $Id: selectSet.h,v 1.2 1998/07/24 17:27:07 jochen Exp $



#ifndef KROT_DIALOG_SELECT_SET_H
#define KROT_DIALOG_SELECT_SET_H


#include "krotData.h"

#include <qdialog.h>
#include <qlistbox.h>
#include <qstring.h>


/**
 * This is a general dialog for the selection of a single set. There is one static instance,
 * which's member function getSelection returns the name of the selected set.
 *
 * @short General set-selection dialog.
 * @author Jochen Kpper
 * @version $Id: selectSet.h,v 1.2 1998/07/24 17:27:07 jochen Exp $
 */
class DialogSelectSet : public QDialog
{
    Q_OBJECT

public:
    
    DialogSelectSet( KRotData *krotdata, QWidget* parent=0, const char* name=0);
 
    const QString getSelection();


protected slots:

    void help();

    void select();

    void select(const char *);


protected:

    QListBox *list;

    KRotData *krotData;
};



#endif
